aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d/network
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/init.d/network')
-rwxr-xr-xrc.d/init.d/network4
1 files changed, 2 insertions, 2 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 0a293c66..364b5567 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -93,7 +93,7 @@ case "$1" in
cipeinterfaces="$cipeinterfaces $DEVICE"
continue
fi
- if LANG=C egrep -L "^ONBOOT=\"?[Nn][Oo]\"?" ifcfg-$i > /dev/null ; then
+ if LANG=C egrep -L "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i > /dev/null ; then
# this loads the module, to preserve ordering
is_available $i
continue
@@ -120,7 +120,7 @@ case "$1" in
# Bring up CIPE VPN interfaces
for i in $cipeinterfaces ; do
- if ! LANG=C egrep -L "^ONBOOT=\"?[Nn][Oo]\"?" ifcfg-$i >/dev/null 2>&1 ; then
+ if ! LANG=C egrep -L "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i >/dev/null 2>&1 ; then
# If we're in confirmation mode, get user confirmation
[ -n "$CONFIRM" ] &&
{